Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Interface Movie

All Known Implementing Classes:
  AbstractMovie, DefaultMovie

    public interface Movie

A `movie` provides an editable container for media data in a time and tracks coordinate system.

Version:
  $Id: Movie.java 172 2012-02-25 08:17:11Z werner $
Author:
  Werner Randelshofer

Field Summary
`static java.lang.String` | `IN_PROPERTY`
`static java.lang.String` | `OUT_PROPERTY`
`static java.lang.String` | `PLAYHEAD_PROPERTY`

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`Rational` | `getDuration()` Returns the total duration of the movie in seconds.
`Format` | `getFileFormat()`
`Format` | `getFormat(int track)`
`Rational` | `getInsertionPoint()` Returns the position of the insertion point in seconds.
`MovieReader` | `getReader()`
`Rational` | `getSelectionEnd()` Returns the position of the out point in seconds.
`Rational` | `getSelectionStart()` Returns the position of the in point in seconds.
`int` | `getTrackCount()`
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`Rational` | `sampleToTime(int track, long sample)`
`void` | `setInsertionPoint(Rational seconds)` Sets the position of the insertion point in seconds.
`void` | `setSelectionEnd(Rational out)` Sets the position of the out point in seconds.
`void` | `setSelectionStart(Rational in)` Sets the position of the in point in seconds.
`long` | `timeToSample(int track, Rational seconds)` Returns the frame number for the specified time in seconds.

Field Detail

### PLAYHEAD_PROPERTY

    static final java.lang.String PLAYHEAD_PROPERTY

See Also:
  Constant Field Values

### IN_PROPERTY

    static final java.lang.String IN_PROPERTY

See Also:
  Constant Field Values

### OUT_PROPERTY

    static final java.lang.String OUT_PROPERTY

See Also:
  Constant Field Values

Method Detail

### getDuration

    Rational getDuration()

  Returns the total duration of the movie in seconds.

### setInsertionPoint

    void setInsertionPoint(Rational seconds)

  Sets the position of the insertion point in seconds.

### getInsertionPoint

    Rational getInsertionPoint()

  Returns the position of the insertion point in seconds. If a movie has a duration of n, then there are n+1 insertion points.

### getSelectionStart

    Rational getSelectionStart()

  Returns the position of the in point in seconds.

### setSelectionStart

    void setSelectionStart(Rational in)

  Sets the position of the in point in seconds.

### getSelectionEnd

    Rational getSelectionEnd()

  Returns the position of the out point in seconds.

### setSelectionEnd

    void setSelectionEnd(Rational out)

  Sets the position of the out point in seconds.

### timeToSample

    long timeToSample(int track,
                      Rational seconds)

  Returns the frame number for the specified time in seconds.

### addPropertyChangeListener

    void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### sampleToTime

    Rational sampleToTime(int track,
                          long sample)

### getTrackCount

    int getTrackCount()

### getFormat

    Format getFormat(int track)

### getFileFormat

    Format getFileFormat()

### getReader

    MovieReader getReader()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD